Bug 136254 - [maintainer update] update net/freeradius2 to 2.1.6
Summary: [maintainer update] update net/freeradius2 to 2.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-02 20:00 UTC by David Wood
Modified: 2009-07-06 00:20 UTC (History)
0 users

See Also:


Attachments
file.diff (17.27 KB, patch)
2009-07-02 20:00 UTC, David Wood
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Wood 2009-07-02 20:00:15 UTC
Update to FreeRADIUS 2.1.6.

There was no version 2.1.5; internally, 2.1.4 declared itself to
be 2.1.5 so that version was skipped.


FreeBSD notes
=============

The Makefile has been refactored to use bsd.port.options.mk now
that it is available for use. The extensive diff against Makefile
is mostly re-ordering existing lines.

The dependencies on Perl and Python have been made optional via
the PERL and PYTHON OPTIONs. The main and rlm_perl configure.in
files are patched in files/patch-perl to add a --without-perl
option so that the dependency on Perl can be properly
disabled. This deals with the request in ports/131595 that these
dependencies become optional; only now that bsd.port.options.mk
is available can this be done without kludges.

[Possibly incompatible change] The NOPERL knob, which was never a
complete solution, has been retired. Those who used to compile
the port -DWITH_NOPERL should disable the PERL option before
building this version.

A RUBY OPTION has been introduced for the experimental rlm_ruby.

[Possibly incompatible change] DHCP support now has its own
DHCP OPTION and is not included in EXPERIMENTAL.

unixODBC support has been added (mirroring the change in PR
ports/133746 for net/freeradius).



I do not believe that the two possibly incompatible changes
necessarily need mentioning in UPDATING. The first deletes a knob
that was deprecated in all versions of net/freeradius2. The
second gives each of the two functions previously assigned to the
EXPERIMENTAL OPTION their own OPTION. In most if not all cases,
the change in OPTIONS= will mean an automatic 'make config'
before the port is built.

The new OPTIONs do not change the default features, so the
feature set of the package is unchanged. rlm_perl and rlm_python
remain on by default, following the upstream defaults.


Release notes
=============

Feature Improvements

* radclient exits with 0 on successful (accept / ack), and 1
  otherwise (no response / reject)
* Added support for %{sql:UPDATE ..}, and insert/delete. Patch
  from Arran Cudbard-Bell
* Added sample "do not respond" policy. See raddb/policy.conf and
  raddb/sites-available/do_not_respond
* Cleanups to Suse spec file from Norbert Wegener
* New VSAs for Juniper from Bjorn Mork
* Include more RFC dictionaries in the default install
* More documentation for the WiMAX module
* Added "chase_referrals" and "rebind" configuration to
  rlm_ldap. This helps with Active Directory. See
  raddb/modules/ldap
* Don't load pre/post-proxy if proxying is disabled.
* Added %{md5:...}, which returns MD5 hash in hex.
* Added configurable "retry_interval" and "poll_interval" for
  "detail" listeners.
* Added "delete_mppe_keys" configuration option to
  rlm_wimax. Apparently some WiMAX clients misbehave when they
  see those keys.
* Added experimental rlm_ruby from
  http://github.com/Antti/freeradius-server/tree/master
* Add Tunnel attributes to ldap.attrmap
* Enable virtual servers to be reloaded on HUP. For now, only the
  "authorize", "authenticate", etc. processing sections are
  reloaded. Clients and "listen" sections are NOT reloaded.
* Updated "radwatch" script to be more robust. See scripts/radwatch
* Added certificate compatibility notes in raddb/certs/README,
  for compatibility with different operating
  systems. (i.e. Windows)


Bug Fixes

* Minor changes to allow building without VQP.
* Minor fixes from John Center
* Fixed raddebug example
* Don't crash when deleting attributes via unlang
* Be friendlier to very fast clients
* Updated the "detail" listener so that it only polls once, and
  not many times in a row, leaking memory each time...
* Update comparison for Packet-Src-IP-Address (etc.) so that the
  operators other than '==' work.
* Did autoconf magic to work around weird libtool bug
* Make rlm_perl keep tags for tagged attributes in more situations
* Update UID checking for radmin
* Added "include_length" field for TTLS. It's needed for RFC
  compliance, but not (apparently) for interoperability.


INSTRUCTIONS
============

files/patch-version and files/patch-bootstrap have been been
deleted.

files/patch-perl and files/patch-bootstrap have been added.


Please note: portlint seems not to understand bsd.port.options.mk
and throws up a whole bunch of new FATAL errors that are bogus.

Fix: Patch attached with submission follows:
Comment 1 Wesley Shields freebsd_committer 2009-07-02 21:15:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-07-06 00:14:09 UTC
wxs         2009-07-05 23:14:00 UTC

  FreeBSD ports repository

  Modified files:
    net/freeradius2      Makefile distinfo pkg-plist 
  Added files:
    net/freeradius2/files patch-perl 
  Removed files:
    net/freeradius2/files patch-bootstrap patch-version 
  Log:
  - Update to 2.1.6
  - Use bsd.port.options.mk and re-organize Makefile accordingly
  - New options added:
    - UNIXODBC
    - PERL
    - PYTHON
    - RUBY
    - DHCP
  - No longer need to support WITH_NOPERL hack
  
  PR:             ports/136254
  Submitted by:   David Wood <david@wood2.org.uk>
  
  Revision  Changes    Path
  1.77      +145 -104  ports/net/freeradius2/Makefile
  1.29      +3 -3      ports/net/freeradius2/distinfo
  1.2       +0 -11     ports/net/freeradius2/files/patch-bootstrap (dead)
  1.1       +61 -0     ports/net/freeradius2/files/patch-perl (new)
  1.2       +0 -5      ports/net/freeradius2/files/patch-version (dead)
  1.39      +32 -5     ports/net/freeradius2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Wesley Shields freebsd_committer 2009-07-06 00:14:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!